Subject: function keys ... YES!

From: Rick Troth <[email-masked]>
Date: Tue, 11 May 1993 15:52:50 -0500 (CDT)

Sorry for the confusion resulting from  "Latin-1".

        Here's the original message,  hopefully in readable form.

Rick Troth <[email-masked]>,  Rice University,  Information Systems
----------------------------Original message----------------------------
        Well I'm truly tickled.   Thanks to the Pine developers
for supporting  "the escape sequences for a number of conventions".
This is a good thing to do.   Can/do you extend these?   I notice
that you  "[do] not use termcap to discover them",  and I agree
with this,  but would suggest augmenting the built-ins with the
definitions in termcap,  when possible.

        Can I remap these?   The doc doesn't say so.   I'm very
happy that I don't have to  control-this  and  control-that  always,
but sometimes I'm on a wierd keyboard and have to fall-back to
non-function-key mode.   I'd rather STAY in function-key mode.
One solution is to have two-stroke alternatives to the function keys:

                <ESC>1          F1
                <ESC>2          F2
                <ESC>3          F3
                <ESC>4          F4
                <ESC>5          F5
                <ESC>6          F6
                <ESC>7          F7
                <ESC>8          F8
                <ESC>9          F9
                <ESC>0          F10
                <ESC>-          F11
                <ESC>=          F12

        I don't especially *like* the above list,  but it's nice
to have for those times when I'm on a strange terminal (or emulator)
or somehow have TERM= temporarily messed-up.

--
Rick Troth <[email-masked]>, Rice University, Information Systems